import { IDevServerServeOptions } from "./i-dev-server-serve-options";
import { RequestIndexSubscriber } from "./request-index-subscriber";
export interface IDevServer {
    onRequestIndex(callback: RequestIndexSubscriber): void;
    getActiveOptions(): Set<IDevServerServeOptions>;
    serve(options: IDevServerServeOptions): Promise<void>;
    stop(): Promise<void>;
}
